Get Sales Groups

get

/rest/v19/salesGroups

Use this endpoint to retrieve a list of all sales groups available to a user. User are only able to view Sales Groups that are part of their same organization (partner organization or host company).

Request

Supported Media Types
Query Parameters
  • Allows expansion of relationships.
  • Restrict which fields shall be returned. The value is a comma delimited string and each token is a field name.
  • The requested page size, which limits the number of elements the collection should max return.
  • The offset of the page. By default, offset is 0, which means first page will be returned.
  • Specifies a comma-separated list of pairs to order the response by.
  • Allows to specify one or more filtering criteria. By default, no filtering is applied.
  • Specifies that the total count of records should be included in the response when doing pagination.
Back to Top

Response

Supported Media Types

Default Response

Body ()
Root Schema : salesGroups-collection
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : Sales Groups
Type: object
Title: Sales Groups
Show Source
Back to Top

Examples

The following example shows how to retrieve a list of sales groups by submitting a GET request to the REST resource using cURL. For more information about cURL, see Use cURL.

curl - X GET -H "Authorization: Bearer <token>" - H "Content-type: application/json"
https://sitename.oracle.com/rest/v19/salesGroups

Response Body Sample

{
  "items": [{
      "variableName": "technicalGroup",
      "dateModified": "2013-12-20T22:32:15.000Z",
      "id": 5671402,
      "label": "No Longer Used 21",
      "dateAdded": "2008-05-14T12:45:17.000Z",
      "links": [{
          "rel": "self",
          "href": "https://sitename.oracle.com/rest/v19/salesGroups/5671402"
        }, {
          "kind": "",
          "rel": "child",
          "name": "translations",
          "href": "https://sitename.oracle.com/rest/v19/salesGroups/5671402/translations"
        }
      ]
    }, {
      "variableName": "a100kAccounts",
      "dateModified": "2020-05-18T21:41:13.000Z",
      "id": 9898200,
      "label": "100k Accounts",
      "dateAdded": "2011-01-18T06:06:27.000Z",
      "links": [{
          "rel": "self",
          "href": "https://sitename.oracle.com/rest/v19/salesGroups/9898200"
        }, {
          "kind": "",
          "rel": "child",
          "name": "translations",
          "href": "https://sitename.oracle.com/rest/v19/salesGroups/9898200/translations"
        }
      ]
    }
  ]
}
Back to Top